Please remove tomcat8.0 before 18.04 releases

Bug #1717998 reported by Timo Aaltonen on 2017-09-18
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
resteasy (Ubuntu)
Undecided
Unassigned
tomcat8 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
tomcat8.0 (Ubuntu)
High
Unassigned

Bug Description

This package is meant to be temporary to allow tomcatjss, dogtag-pki (and thus freeipa) to work until upstream has ported the components for tomcat 8.5 and up.

Timo Aaltonen (tjaalton) on 2017-09-18
Changed in tomcat8.0 (Ubuntu):
assignee: nobody → Timo Aaltonen (tjaalton)
importance: Undecided → High
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tomcat8 - 8.5.30-1ubuntu1

---------------
tomcat8 (8.5.30-1ubuntu1) bionic; urgency=medium

  * control: Break/replace tomcat8.0 binaries. (LP: #1717998)

 -- Timo Aaltonen <email address hidden> Thu, 19 Apr 2018 14:53:19 +0300

Changed in tomcat8 (Ubuntu):
status: New → Fix Released
Timo Aaltonen (tjaalton) wrote :

tomcat8.0 can now be removed from the archive, support for 8.5 was added to tomcatjss/dogtag-pki and tomcat8 now breaks/replaces tomcat8.0 binaries so upgrades work smoothly

Matthias Klose (doko) wrote :

Removing packages from bionic:
 tomcat8.0 8.0.46-0ubuntu1 in bionic
  libtomcat8.0-java 8.0.46-0ubuntu1 in bionic amd64
  libtomcat8.0-java 8.0.46-0ubuntu1 in bionic arm64
  libtomcat8.0-java 8.0.46-0ubuntu1 in bionic armhf
  libtomcat8.0-java 8.0.46-0ubuntu1 in bionic i386
  libtomcat8.0-java 8.0.46-0ubuntu1 in bionic ppc64el
  libtomcat8.0-java 8.0.46-0ubuntu1 in bionic s390x
  tomcat8.0-user 8.0.46-0ubuntu1 in bionic amd64
  tomcat8.0-user 8.0.46-0ubuntu1 in bionic arm64
  tomcat8.0-user 8.0.46-0ubuntu1 in bionic armhf
  tomcat8.0-user 8.0.46-0ubuntu1 in bionic i386
  tomcat8.0-user 8.0.46-0ubuntu1 in bionic ppc64el
  tomcat8.0-user 8.0.46-0ubuntu1 in bionic s390x
 resteasy 3.0.19-3ubuntu1 in bionic
  libresteasy-java 3.0.19-3ubuntu1 in bionic amd64
  libresteasy-java 3.0.19-3ubuntu1 in bionic arm64
  libresteasy-java 3.0.19-3ubuntu1 in bionic armhf
  libresteasy-java 3.0.19-3ubuntu1 in bionic i386
  libresteasy-java 3.0.19-3ubuntu1 in bionic ppc64el
  libresteasy-java 3.0.19-3ubuntu1 in bionic s390x
Comment: LP: #1717998: remove tomcat8.0 and rdep resteasy
2 packages successfully removed.

Matthias Klose (doko) on 2018-04-25
Changed in tomcat8.0 (Ubuntu):
status: Triaged → Fix Released
Changed in resteasy (Ubuntu):
status: New → Fix Released
Stefano Rivera (stefanor) wrote :

Looks like it was only deleted in bionic?

Still present in cosmic.

Changed in tomcat8.0 (Ubuntu):
status: Fix Released → Triaged
Timo Aaltonen (tjaalton) wrote :

so it seems.. please remove from cosmic too before it's released

Changed in tomcat8.0 (Ubuntu):
assignee: Timo Aaltonen (tjaalton) → nobody
Steve Langasek (vorlon) wrote :

Removed, but this was in cosmic because it synced from Debian. As this was your upload to Debian also, please take care of getting it removed there if you want it removed so that it doesn't get re-synced again later for any reason (only a risk if there is a subsequent Debian upload).

Removing packages from cosmic:
 tomcat8.0 8.0.46-1 in cosmic
  libtomcat8.0-java 8.0.46-1 in cosmic amd64
  libtomcat8.0-java 8.0.46-1 in cosmic arm64
  libtomcat8.0-java 8.0.46-1 in cosmic armhf
  libtomcat8.0-java 8.0.46-1 in cosmic i386
  libtomcat8.0-java 8.0.46-1 in cosmic ppc64el
  libtomcat8.0-java 8.0.46-1 in cosmic s390x
  tomcat8.0-user 8.0.46-1 in cosmic amd64
  tomcat8.0-user 8.0.46-1 in cosmic arm64
  tomcat8.0-user 8.0.46-1 in cosmic armhf
  tomcat8.0-user 8.0.46-1 in cosmic i386
  tomcat8.0-user 8.0.46-1 in cosmic ppc64el
  tomcat8.0-user 8.0.46-1 in cosmic s390x
Comment: stop-gap compat package, no longer needed; LP: #1717998
1 package successfully removed.

Changed in tomcat8.0 (Ubuntu):
status: Triaged → Fix Released

Hello Timo, or anyone else affected,

Accepted tomcat8 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/tomcat8/8.5.39-1ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in tomcat8 (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
Timo Aaltonen (tjaalton) wrote :

I think this bug got reopened by mistake, bionic already had this fix.

tags: removed: verification-needed verification-needed-bionic
Changed in tomcat8 (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.